## bali-phy 3.4+dfsg

=== tests/Makefile ===
clean:
	find . -name obtained-* | xargs rm -f
	find . -name rb-obtained-* | xargs rm -f
	find . -name token*.dot | xargs rm -f
	find . -name ignore-* | xargs rm -rf
	find . -name history.txt | xargs rm -rf

moreclean: clean
	find . -name '*~' | xargs rm -f

## bali-phy 3.3+dfsg

=== debian/changelog ===
bali-phy (3.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Benjamin Redelings <benjamin.redelings@gmail.com>  Mon, 06 Aug 2018 13:12:11 -0700

bali-phy (3.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Benjamin Redelings <benjamin.redelings@gmail.com>  Mon, 25 Jun 2018 21:39:12 -0400

bali-phy (3.1.5+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Benjamin Redelings <benjamin.redelings@gmail.com>  Wed, 13 Jun 2018 18:42:12 -0400

bali-phy (3.1.2+dfsg-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Team upload.
  * Add references to registries.

  [ Benjamin Redelings ]
  * New upstream version 3.1.2+dfsg
  * Stop excluding files that have been removed upstream.
  * New upstream version
  * Add quilt patch to not run external testiphy test suite.
  * Remove patches incorporated upstream.
  * Run tests with python3 instead of depending on python2.

 -- Andreas Tille <tille@debian.org>  Mon, 07 May 2018 15:12:50 +0200

bali-phy (3.0.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Require version 0.45 of meson now
  * New upstream version
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Fri, 20 Apr 2018 15:52:59 +0200

bali-phy (3.0.2+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #891971).

 -- Benjamin Redelings <benjamin.redelings@gmail.com>  Sun, 11 Mar 2018 07:28:17 +0100

=== debian/control ===
Source: bali-phy
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Benjamin Redelings <benjamin.redelings@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11),
               meson (>=0.45),
               libcairo2-dev,
               libeigen3-dev,
               nlohmann-json-dev,
               pandoc,
               libboost-dev,
               libboost-program-options-dev,
               libboost-random-dev,
               libboost-system-dev,
               libboost-filesystem-dev,
               libboost-chrono-dev
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/med-team/bali-phy
Vcs-Git: https://salsa.debian.org/med-team/bali-phy.git
Homepage: http://www.bali-phy.org

Package: bali-phy
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends}
Recommends: r-base,
            gnuplot
Suggests: figtree,
          seaview
Description: Bayesian Inference of Alignment and Phylogeny
 BAli-Phy estimates multiple sequence alignments and evolutionary trees
 from unaligned DNA, amino acid, or codon sequences.  BAli-Phy uses MCMC
 to estimate evolutionary trees, positive selection, and branch lengths
 while averaging over alternative alignments. BAli-Phy can display
 alignment ambiguity graphically in an alignment uncertainty (AU) plot.
 .
 BAli-Phy can also estimate phylogenies from a fixed alignment (like MrBayes
 and BEAST) using substitution models like GTR+gamma.  BAli-Phy automatically
 estimates relative rates for each gene.

## bali-phy 3.4+dfsg

=== debian/changelog ===
bali-phy (3.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Remove patches applied upstream.
  * Update to Standards-Version 4.2.1

 -- Benjamin Redelings <benjamin.redelings@gmail.com>  Thu, 13 Dec 2018 20:56:16 -0500

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libboost-system-dev,
                libboost-filesystem-dev,
                libboost-chrono-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/med-team/bali-phy
 Vcs-Git: https://salsa.debian.org/med-team/bali-phy.git
 Homepage: http://www.bali-phy.org

## bali-phy 3.4.1%2Bdfsg

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/bredelings/BAli-Phy/releases .*/archive/@ANY_VERSION@@ARCHIVE_EXT@

## bali-phy 3.4.1+dfsg

=== debian/changelog ===
bali-phy (3.4.1+dfsg-2build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 19:55:59 +0000

bali-phy (3.4.1+dfsg-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jul 2019 09:31:31 +0200

bali-phy (3.4.1+dfsg-1exp1) experimental; urgency=medium

  * Team upload.
  * Switch to nlohmann-json3 (Closes: #927235)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 16 Apr 2019 19:15:52 +0200

bali-phy (3.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version 3.4.1+dfsg
  * Update Standards-Version to 4.3.0

 -- Benjamin Redelings <benjamin.redelings@gmail.com>  Tue, 22 Jan 2019 14:04:09 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: bali-phy
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Benjamin Redelings <benjamin.redelings@gmail.com>
 Section: science
 Priority: optional
@@ -7,7 +8,7 @@
                meson (>=0.45),
                libcairo2-dev,
                libeigen3-dev,
-               nlohmann-json-dev,
+               nlohmann-json3-dev,
                pandoc,
                libboost-dev,
                libboost-program-options-dev,
@@ -15,7 +16,7 @@
                libboost-system-dev,
                libboost-filesystem-dev,
                libboost-chrono-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/bali-phy
 Vcs-Git: https://salsa.debian.org/med-team/bali-phy.git
 Homepage: http://www.bali-phy.org

=== debian/rules ===
#!/usr/bin/make -f

# Turn on hardening options for compilation.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Add an -O3 at the end to override the O2 we can't get rid of.
export DEB_CFLAGS_MAINT_APPEND = -O3
export DEB_CXXFLAGS_MAINT_APPEND = -O3

BUILDARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

# Compilation with debugging can use > 4G RAM, so disable it on most architectures.
ifneq ($(BUILDARCH),amd64)
DEB_CFLAGS_MAINT_APPEND += -g0
DEB_CXXFLAGS_MAINT_APPEND += -g0
endif

# Use debhelper.
%:
	dh $@ --buildsystem=meson

# Tell meson not to install the extra tools
override_dh_auto_configure:
	dh_auto_configure -- -Dextra-tools=false

## bali-phy 3.5.0.1+dfsg

=== debian/changelog ===
bali-phy (3.5.0.1+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * d/u/metadata: yamllint

  [ Benjamin Redelings ]
  * Update copyright.
  * New upstream version 3.5.0.1+dfsg
    Closes: #951991
  * Require meson >= 0.52
  * Depend on librange-v3-dev
  * Update standards version.
  * Add --buildtype=release to debian/rules
  * Depend on python3

  [ Andreas Tille ]
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Add lintian override for spelling issue

 -- Benjamin Redelings <benjamin.redelings@gmail.com>  Thu, 05 Mar 2020 17:36:36 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: bali-phy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Benjamin Redelings <benjamin.redelings@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11),
-               meson (>=0.45),
+Build-Depends: debhelper-compat (= 12),
+               meson (>=0.52),
                libcairo2-dev,
                libeigen3-dev,
                nlohmann-json3-dev,
@@ -15,8 +14,9 @@
                libboost-random-dev,
                libboost-system-dev,
                libboost-filesystem-dev,
-               libboost-chrono-dev
-Standards-Version: 4.3.0
+               libboost-chrono-dev,
+               librange-v3-dev
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/bali-phy
 Vcs-Git: https://salsa.debian.org/med-team/bali-phy.git
 Homepage: http://www.bali-phy.org
@@ -25,7 +25,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${perl:Depends}
+         ${perl:Depends},
+         python3
 Recommends: r-base,
             gnuplot
 Suggests: figtree,

=== debian/rules ===
--- 
+++ 
@@ -21,4 +21,4 @@
 
 # Tell meson not to install the extra tools
 override_dh_auto_configure:
-	dh_auto_configure -- -Dextra-tools=false
+	dh_auto_configure -- -Dextra-tools=false --buildtype=release

## bali-phy 3.6.0+dfsg

=== debian/changelog ===
bali-phy (3.6.0+dfsg-1) unstable; urgency=medium

  [ Benjamin Redelings ]
  * New upstream version 3.6.0+dfsg
  * Update standards version.
  * Require meson >= 0.53
  * Remove unused linitian-override
  * Add -DNDEBUG to build rules.
  * Add lintian-override.

  [ Andreas Tille ]
  * Standards-Version: 4.5.1 (routine-update)

 -- Benjamin Redelings <benjamin.redelings@gmail.com>  Sat, 06 Feb 2021 18:56:18 -0800

bali-phy (3.5.0.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 25 Sep 2020 15:50:32 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Uploaders: Benjamin Redelings <benjamin.redelings@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               meson (>=0.52),
+Build-Depends: debhelper-compat (= 13),
+               meson (>=0.53),
                libcairo2-dev,
                libeigen3-dev,
                nlohmann-json3-dev,
@@ -16,10 +16,11 @@
                libboost-filesystem-dev,
                libboost-chrono-dev,
                librange-v3-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/bali-phy
 Vcs-Git: https://salsa.debian.org/med-team/bali-phy.git
 Homepage: http://www.bali-phy.org
+Rules-Requires-Root: no
 
 Package: bali-phy
 Architecture: any

## bali-phy 3.6.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: bali-phy
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Benjamin Redelings <benjamin.redelings@gmail.com>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               meson (>=0.53),
+               meson,
                libcairo2-dev,
                libeigen3-dev,
                nlohmann-json3-dev,
@@ -16,7 +17,7 @@
                libboost-filesystem-dev,
                libboost-chrono-dev,
                librange-v3-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/bali-phy
 Vcs-Git: https://salsa.debian.org/med-team/bali-phy.git
 Homepage: http://www.bali-phy.org

## bali-phy 3.6.1+dfsg

=== meson_options.txt ===
option('eigen', type : 'combo', value : 'auto', choices: ['auto','system','internal'], description: 'Which Eigen headers to use?.')
option('boost', type : 'combo', value : 'auto', choices: ['auto','system','internal'],  description: 'Which Boost libraries to use?')
option('json', type : 'combo', value : 'auto', choices: ['auto','system','internal'],  description: 'Which nlohmann/json.hpp to use?')

option('with-mpi', type : 'boolean', value : false, description: 'Compile with MPI')
option('static-cpp-libs', type: 'boolean', value: false, description: 'Link in libgcc and libstdc++ statically')
option('extra-tools', type: 'boolean', value: true, description: 'Build extra tools')

=== debian/changelog ===
bali-phy (3.6.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 30 Aug 2021 17:50:26 +0200

bali-phy (3.6.0+dfsg-1.1) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * Fix watchfile to detect new versions on github (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 30 Aug 2021 17:50:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: bali-phy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Benjamin Redelings <benjamin.redelings@gmail.com>
 Section: science
 Priority: optional
@@ -17,7 +16,7 @@
                libboost-filesystem-dev,
                libboost-chrono-dev,
                librange-v3-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/bali-phy
 Vcs-Git: https://salsa.debian.org/med-team/bali-phy.git
 Homepage: http://www.bali-phy.org

=== debian/rules ===
--- 
+++ 
@@ -21,4 +21,4 @@
 
 # Tell meson not to install the extra tools
 override_dh_auto_configure:
-	dh_auto_configure -- -Dextra-tools=false --buildtype=release
+	dh_auto_configure -- -Dextra-tools=false --buildtype=release -Db_ndebug=true

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/bredelings/BAli-Phy/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## bali-phy 4.0~beta2+dfsg

=== meson_options.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 option('eigen', type : 'combo', value : 'auto', choices: ['auto','system','internal'], description: 'Which Eigen headers to use?.')
-option('boost', type : 'combo', value : 'auto', choices: ['auto','system','internal'],  description: 'Which Boost libraries to use?')
 option('json', type : 'combo', value : 'auto', choices: ['auto','system','internal'],  description: 'Which nlohmann/json.hpp to use?')
 
 option('with-mpi', type : 'boolean', value : false, description: 'Compile with MPI')

=== debian/changelog ===
bali-phy (4.0~beta2+dfsg-1) experimental; urgency=medium

  * Team upload
  * Disable reprotest
  * d/watch:
     - uversionmangle to enable beta versions
     - simplify options
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 13 Apr 2023 15:13:50 +0200

=== debian/watch ===
version=4

opts="uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/,repacksuffix=+dfsg,dversionmangle=auto" \
  https://github.com/bredelings/BAli-Phy/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## bali-phy 4.0~beta16+dfsg

=== tests/Makefile ===
--- 
+++ 
@@ -4,6 +4,9 @@
 	find . -name token*.dot | xargs rm -f
 	find . -name ignore-* | xargs rm -rf
 	find . -name history.txt | xargs rm -rf
+	find . -name BAliPhy.Main.hs | xargs rm -rf
+	find . -name Print.Main.hs | xargs rm -rf
+
 
 moreclean: clean
 	find . -name '*~' | xargs rm -f

=== debian/changelog ===
bali-phy (4.0~beta16+dfsg-1) experimental; urgency=medium

  * New upstream version 4.0~beta16+dfsg
  * d/control: declare compliance to standards version 4.7.0.
  * d/control: build depends on libcereal-dev.
  * d/copyright: update upstream copyright year.
  * d/lintian-overrides: flag typo caught by lintian as false positive.
  * d/s/lintian-overrides: false positives not caught by lintian anymore.

 -- Étienne Mollier <emollier@debian.org>  Mon, 25 Nov 2024 20:44:19 +0100

bali-phy (4.0~beta13+dfsg-1) experimental; urgency=medium

  * New upstream beta release 4.0~beta13+dfsg.
  * Revert d/gbp.conf: switch to debian/unstable branch.
    We are back in the Debian Med Policy compliant branch.
  * d/control: Drop some Files-Excluded which are not in upstream source
  * Build-Depends: cmake, libfmt-dev
  * d/control: add myself to uploaders.
  * d/control: build depends on libboost-json-dev.
  * d/t/run-unit-test: set a temporary home to not meddle with end user's.
  * d/t/run-unit-test: update to new data layout.
    One of the tests was also using an input model working only in very
    specific conditions, which do not seem matched anymore, so the test
    is adjusted to make use of another input model.

 -- Étienne Mollier <emollier@debian.org>  Wed, 29 May 2024 10:20:12 +0200

bali-phy (3.6.1+dfsg-3) unstable; urgency=medium

  * gcc14.patch: new: fix gcc 14 build failure in unstable. (Closes: #1074835)

 -- Étienne Mollier <emollier@debian.org>  Sun, 25 Aug 2024 22:42:16 +0200

bali-phy (3.6.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/gbp.conf: switch to debian/unstable branch.
  * boost1.83.patch: new: fix ftbfs. (Closes: #1056087)
  * d/lintian-overrides: refresh mismatch.
  * d/s/lintian-overrides: override false positive source missing.
  * d/control: declare compliance to standards version 4.6.2.
  * d/watch: fix uscan recipe; move to git mode.
  * d/rules: cleanup test artifacts. (Closes: #1043647)

 -- Étienne Mollier <emollier@debian.org>  Mon, 18 Dec 2023 16:51:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: bali-phy
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Benjamin Redelings <benjamin.redelings@gmail.com>
+Uploaders: Benjamin Redelings <benjamin.redelings@gmail.com>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                meson,
+               cmake,
                libcairo2-dev,
                libeigen3-dev,
                nlohmann-json3-dev,
@@ -15,8 +17,11 @@
                libboost-system-dev,
                libboost-filesystem-dev,
                libboost-chrono-dev,
+               libboost-json-dev,
+               libcereal-dev,
+               libfmt-dev,
                librange-v3-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/bali-phy
 Vcs-Git: https://salsa.debian.org/med-team/bali-phy.git
 Homepage: http://www.bali-phy.org

## bali-phy 4.0

=== debian/changelog ===
bali-phy (4.0-1) unstable; urgency=medium

  * New upstream version 4.0
  * Migrate bali-phy 4.0 to unstable now that it is officially released.
  * d/control: declare compliance to standards version 4.7.2.
  * d/lintian-overrides: remove now unused override.

 -- Étienne Mollier <emollier@debian.org>  Fri, 28 Feb 2025 22:18:52 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libcereal-dev,
                libfmt-dev,
                librange-v3-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/bali-phy
 Vcs-Git: https://salsa.debian.org/med-team/bali-phy.git
 Homepage: http://www.bali-phy.org

=== debian/rules ===
--- 
+++ 
@@ -22,3 +22,9 @@
 # Tell meson not to install the extra tools
 override_dh_auto_configure:
 	dh_auto_configure -- -Dextra-tools=false --buildtype=release -Db_ndebug=true
+
+# Cleanup test artifacts scattered through the source code.
+execute_after_dh_clean:
+	find -type f -name \*.Main.hs -delete
+	find -type f -name obtained-\* -delete
+	find -type d -name ignore-output-\* | xargs rm -rf

## bali-phy 4.1+dfsg

=== debian/changelog ===
bali-phy (4.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * d/watch:
     - version=5
     - Do not report alpha or beta tags
  * Drop libboost-system-dev from Build-Depends
    Closes: #1127170
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Restore original tests dir after running build time test
    Closes: #1043647
  * Permit failure of blhc in Salsa CI

 -- Andreas Tille <tille@debian.org>  Tue, 10 Feb 2026 10:59:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Benjamin Redelings <benjamin.redelings@gmail.com>,
            Étienne Mollier <emollier@debian.org>
 Section: science
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                meson,
                cmake,
@@ -14,14 +13,13 @@
                libboost-dev,
                libboost-program-options-dev,
                libboost-random-dev,
-               libboost-system-dev,
                libboost-filesystem-dev,
                libboost-chrono-dev,
                libboost-json-dev,
                libcereal-dev,
                libfmt-dev,
                librange-v3-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/bali-phy
 Vcs-Git: https://salsa.debian.org/med-team/bali-phy.git
 Homepage: http://www.bali-phy.org

=== debian/rules ===
--- 
+++ 
@@ -28,3 +28,10 @@
 	find -type f -name \*.Main.hs -delete
 	find -type f -name obtained-\* -delete
 	find -type d -name ignore-output-\* | xargs rm -rf
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	cp -a tests tests.bak
+	dh_auto_test
+	rm -rf tests; mv tests.bak tests
+endif

=== debian/watch ===
Version: 5

Source: https://github.com/bredelings/BAli-Phy/tags
Matching-Pattern: (?:.*?/)?v?(\d[\d.]+)@ARCHIVE_EXT@
Repack-Suffix: +dfsg
Dversion-Mangle: auto
# Uversion-Mangle: s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha-.*)[.]?(\d*)$/\$1~\$2\$3/
